<section *ngIf="collection" class="collection">
  <img
    #image
    crossorigin="anonymous"
    (load)="getColor()"
    class="collection__image"
    [src]="collection.images[0].url"
    [alt]="collection.name"
  />
  <div class="collection__description">
    <span class="collection__type">{{ collection.type }}</span>
    <h2 class="collection__title">{{ collection.name }}</h2>

    <div *ngIf="type == 'album'; else playlist" class="collection__album">
      <div *ngIf="artist" class="artist">
        <img
          class="artist__image"
          [src]="artist.images[0].url"
          [alt]="artist.name"
        />

        <span class="artist__name">{{ artist["name"] }}</span>
      </div>
      <div class="span">
        <span>
          {{ collection["release_date"] | date: "yyyy" }} &#8226;
          {{ collection["total_tracks"] }} songs
        </span>
      </div>
    </div>
  </div>
</section>

<ng-template #playlist class="collection__playlist">
  <span class="span span--description">{{ collection["description"] }}</span>
</ng-template>
